org.jboss.resteasy.logging.impl

## Class JULLogger

- java.lang.Object
- - org.jboss.resteasy.logging.Logger
  - - org.jboss.resteasy.logging.impl.JULLogger

-     public class JULLogger
      extends Logger

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.logging.Logger

      `Logger.LoggerType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JULLogger(String classname)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String message)`
    `void` | `debug(String message, Object... params)`
    `void` | `debug(String message, Throwable error)`
    `void` | `error(String message)`
    `void` | `error(String message, Object... params)`
    `void` | `error(String message, Throwable error)`
    `void` | `info(String message)`
    `void` | `info(String message, Object... params)`
    `void` | `info(String message, Throwable error)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isTraceEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `trace(String message)`
    `void` | `trace(String message, Object... params)`
    `void` | `trace(String message, Throwable error)`
    `void` | `warn(String message)`
    `void` | `warn(String message, Object... params)`
    `void` | `warn(String message, Throwable error)`

    - ### Methods inherited from class org.jboss.resteasy.logging.Logger

      `getLogger, setLoggerType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JULLogger

          public JULLogger(String classname)

  - ### Method Detail

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Specified by:
        `isTraceEnabled` in class `Logger`

    - #### trace

          public void trace(String message)

      Specified by:
        `trace` in class `Logger`

    - #### trace

          public void trace(String message,
                   Object... params)

      Specified by:
        `trace` in class `Logger`

    - #### trace

          public void trace(String message,
                   Throwable error)

      Specified by:
        `trace` in class `Logger`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in class `Logger`

    - #### debug

          public void debug(String message)

      Specified by:
        `debug` in class `Logger`

    - #### debug

          public void debug(String message,
                   Object... params)

      Specified by:
        `debug` in class `Logger`

    - #### debug

          public void debug(String message,
                   Throwable error)

      Specified by:
        `debug` in class `Logger`

    - #### info

          public void info(String message)

      Specified by:
        `info` in class `Logger`

    - #### info

          public void info(String message,
                  Object... params)

      Specified by:
        `info` in class `Logger`

    - #### info

          public void info(String message,
                  Throwable error)

      Specified by:
        `info` in class `Logger`

    - #### warn

          public void warn(String message)

      Specified by:
        `warn` in class `Logger`

    - #### warn

          public void warn(String message,
                  Object... params)

      Specified by:
        `warn` in class `Logger`

    - #### warn

          public void warn(String message,
                  Throwable error)

      Specified by:
        `warn` in class `Logger`

    - #### error

          public void error(String message)

      Specified by:
        `error` in class `Logger`

    - #### error

          public void error(String message,
                   Object... params)

      Specified by:
        `error` in class `Logger`

    - #### error

          public void error(String message,
                   Throwable error)

      Specified by:
        `error` in class `Logger`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in class `Logger`

Copyright © 2014. All Rights Reserved.